Name:         multipath-tools
URL:          http://christophe.varoqui.free.fr/multipath-tools/
License:      GPL
Group:        System/Kernel and hardware
Version:      0.4.8
Release:      %mkrel 5
Summary:      Tools to manage multipathed devices with the device-mapper
Source:       http://christophe.varoqui.free.fr/multipath-tools/%name-%version.tar.bz2
Source1:      multipathd.init.bz2
Patch0:		  multipath-tools-fix-build.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     dmsetup
BuildRequires:	libdevmapper-devel
BuildRequires:  libsysfs-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  libaio-devel
Requires(preun):rpm-helper
Requires(post):	rpm-helper


%description
This package provides the tools to manage multipathed devices by
instructing the device-mapper multipath module what to do. The tools
are:

- multipath: scan the system for multipathed devices, assembles them
  and update the device-mapper's maps

- multipathd: wait for maps events, then execs multipath

- devmap-name: provides a meaningful device name to udev for devmaps

- kpartx: maps linear devmaps upon device partitions, which makes
  multipath maps partionable

%prep
%setup -q
%patch0 -p0

%build
# parallel build support is broken:
make BUILD="glibc"

%install
rm -fR $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/etc/hotplug.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT/etc/init.d/multipathd
chmod 755 $RPM_BUILD_ROOT/etc/init.d/multipathd

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%_preun_service multipathd

%post
%_post_service multipathd


%files
%defattr(-,root,root,755)
%doc AUTHOR COPYING README* ChangeLog FAQ multipath.conf.*
%config(noreplace) /etc/init.d/multipathd
%config(noreplace) /etc/udev/rules.d/multipath.rules
/etc/udev/rules.d/kpartx.rules
/lib/udev/kpartx_id
/sbin/*
%_mandir/man?/*




%changelog
* Tue Mar 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.8-5mdv2009.1
+ Revision: 356300
- rebuild for latest readline

* Mon Sep 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.8-4mdv2009.0
+ Revision: 289765
- include more doc (per #43925 request)
- make service executable (#43925)
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4.8-1mdv2008.1
+ Revision: 101331
- adjust file list
- patch 0: fix build
- BuildRequires:  libaio-devel
- new release


* Sat Nov 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.7-5mdv2007.0
+ Revision: 87151
- Import multipath-tools

* Sat Nov 25 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.7-5mdv2007.1
- rebuild for libdevmapper

* Mon Jul 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.7-4mdv2007.0
- rebuild for libdevmapper

* Wed May 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.7-3mdk
- fix buildrequires (thus fixing x86_64 build with iurt)

* Wed Apr 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.7-2mdk
- fix buildrequires

* Fri Mar 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.7-1mdk
- new release

* Wed Dec 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.6-2mdk
- Fix BuildRequires

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.4.6-1mdk
- new release
- drop patch 0 (now useless)

* Wed Jun 29 2005 Pascal Terjan <pterjan@mandriva.org> 0.4.2.7-3mdk
- BuildRequires libdevmapper-devel
- PreReq -> Requires(post)

* Sat Mar 05 2005 Luca Berra <bluca@vodka.it> 0.4.2.7-2mdk 
- rebuild for new libdevmapper
- use a mandrakelinux initscript
- specfile cleanup

* Thu Jan 20 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2.7-1mdk
- new release
- automatically updatable
- patch 0: fix build

* Thu Dec 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2.0-1mdk
- new release

* Thu Nov 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-1mdk
- new release

* Fri Nov 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.6-1mdk
- initial releaee

